NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::TextBuilder Class Reference

Represents a NXOpen::Features::Text builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTextBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::TextBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FontStyleOptions { FontStyleOptionsRegular, FontStyleOptionsItalic, FontStyleOptionsBold, FontStyleOptionsBoldItalic }
 Font style options. More...
 
enum  OnFacePlacementMethodOptions { OnFacePlacementMethodOptionsCurvesOnFaces, OnFacePlacementMethodOptionsSectionPlane }
 The placement options for NXOpen::Features::TextBuilder::TypesOnFace type. More...
 
enum  OrientationMethodOptions { OrientationMethodOptionsNatural, OrientationMethodOptionsVector }
 The orientation options for NXOpen::Features::TextBuilder::TypesOnCurve type. More...
 
enum  ScriptOptions {
  ScriptOptionsOther, ScriptOptionsWestern, ScriptOptionsBaltic, ScriptOptionsChineseBig5,
  ScriptOptionsCentralEuropean, ScriptOptionsGb2312, ScriptOptionsGreek, ScriptOptionsHangul,
  ScriptOptionsMac, ScriptOptionsOem, ScriptOptionsCyrillic, ScriptOptionsShiftJIS,
  ScriptOptionsSymbol, ScriptOptionsTurkish, ScriptOptionsVietnamese, ScriptOptionsJohab,
  ScriptOptionsArabic, ScriptOptionsHebrew, ScriptOptionsThai
}
 Script or character set options. More...
 
enum  Types { TypesPlanar, TypesOnCurve, TypesOnFace }
 Text placement type. More...
 

Public Member Functions

bool CanCreateBoundingBox ()
 Returns the flag indicating if bounding box can be created
Created in NX7.5.1. More...
 
bool CanJoinCurves ()
 Returns the flag indicating if curves can be joined
Created in NX7.5.1. More...
 
bool CanProjectCurves ()
 Returns the flag indicating if curves can be projected
Created in NX7.5.1. More...
 
bool CanReferenceText ()
 Returns the flag indicating if text feature can reference a string expression
Created in NX7.5.1. More...
 
bool CanReverseIntersectionCurve ()
 Returns the flag indicating if intersection curve can be reversed
Created in NX7.5.1. More...
 
bool CanUseKerningSpaces ()
 Returns the flag indicating if kerning spaces can be used
Created in NX7.5.1. More...
 
NXString Font ()
 Returns the font
Created in NX7.5.1. More...
 
NXOpen::Features::TextBuilder::FontStyleOptions FontStyle ()
 Returns the font style
Created in NX7.5.1. More...
 
NXOpen::GeometricUtilities::FrameOnPathBuilderFrameOnPath ()
 Returns the frame on path
Created in NX7.5.1. More...
 
bool IsAssociative ()
 Returns the flag indicating if operation is associative
Created in NX7.5.1. More...
 
NXOpen::SectionOnCurvePlacementProfile ()
 Returns the placement profile for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1. More...
 
NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions OnFacePlacementMethod ()
 Returns the placement method for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
NXOpen::SectionOnFacePlacementProfile ()
 Returns the placement profile for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
NXOpen::Features::TextBuilder::OrientationMethodOptions OrientationMethod ()
 Returns the orientation method for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1. More...
 
NXOpen::DirectionOrientationVector ()
 Returns the orientation vector
Created in NX7.5.1. More...
 
NXOpen::ScCollectorPlacementFaces ()
 Returns the placement faces for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
NXOpen::GeometricUtilities::RectangularFrameBuilderPlanarFrame ()
 Returns the planar frame
Created in NX7.5.1. More...
 
NXOpen::Features::TextBuilder::ScriptOptions Script ()
 Returns the script
Created in NX7.5.1. More...
 
NXOpen::PlaneSectionPlane ()
 Returns the section plane for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
void SelectFont (const NXString &fontName, NXOpen::Features::TextBuilder::ScriptOptions script)
 Selects the font along with appropriate character set
Created in NX7.5.1. More...
 
void SelectFont (const char *fontName, NXOpen::Features::TextBuilder::ScriptOptions script)
 Selects the font along with appropriate character set
Created in NX7.5.1. More...
 
void SetAssociative (bool isAssociative)
 Sets the flag indicating if operation is associative
Created in NX7.5.1. More...
 
void SetCanCreateBoundingBox (bool canCreateBoundingBox)
 Sets the flag indicating if bounding box can be created
Created in NX7.5.1. More...
 
void SetCanJoinCurves (bool canJoinCurves)
 Sets the flag indicating if curves can be joined
Created in NX7.5.1. More...
 
void SetCanProjectCurves (bool canProjectCurves)
 Sets the flag indicating if curves can be projected
Created in NX7.5.1. More...
 
void SetCanReferenceText (bool canReferenceText)
 Sets the flag indicating if text feature can reference a string expression
Created in NX7.5.1. More...
 
void SetCanReverseIntersectionCurve (bool canReverse)
 Sets the flag indicating if intersection curve can be reversed
Created in NX7.5.1. More...
 
void SetCanUseKerningSpaces (bool canUseKerningSpaces)
 Sets the flag indicating if kerning spaces can be used
Created in NX7.5.1. More...
 
void SetFontStyle (NXOpen::Features::TextBuilder::FontStyleOptions fontStyle)
 Sets the font style
Created in NX7.5.1. More...
 
void SetOnFacePlacementMethod (NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions placementMethod)
 Sets the placement method for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
void SetOrientationMethod (NXOpen::Features::TextBuilder::OrientationMethodOptions orientationMethod)
 Sets the orientation method for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1. More...
 
void SetOrientationVector (NXOpen::Direction *orientationVector)
 Sets the orientation vector
Created in NX7.5.1. More...
 
void SetScript (NXOpen::Features::TextBuilder::ScriptOptions script)
 Sets the script
Created in NX7.5.1. More...
 
void SetSectionPlane (NXOpen::Plane *sectionPlane)
 Sets the section plane for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1. More...
 
void SetTextString (const NXString &textString)
 Sets the string to be rendered
Created in NX7.5.3. More...
 
void SetTextString (const char *textString)
 Sets the string to be rendered
Created in NX7.5.3. More...
 
void SetType (NXOpen::Features::TextBuilder::Types type)
 Sets the type
Created in NX7.5.1. More...
 
NXOpen::ExpressionText ()
 Returns the string expression representing the text
Created in NX7.5.1. More...
 
NXString TextString ()
 Returns the string to be rendered
Created in NX7.5.3. More...
 
NXOpen::Features::TextBuilder::Types Type ()
 Returns the type
Created in NX7.5.1. More...
 
void UpdateOnOrientationVectorReversal ()
 Updates the builder based on orientation vector sense
Created in NX7.5.1. More...
 
void UpdateOnSectionPlane ()
 Updates the builder based on section plane
Created in NX7.5.1. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Text builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTextBuilder
Default values.

Property Value

CanCreateBoundingBox

0

CanJoinCurves

1

CanProjectCurves

0

CanReferenceText

0

CanUseKerningSpaces

1

FontStyle

Regular

FrameOnPath.AnchorLocation

Center

FrameOnPath.Height.Value

10 (millimeters part), 1 (inches part)

FrameOnPath.Offset.Value

0 (millimeters part), 0 (inches part)

FrameOnPath.WScale

100

IsAssociative

1

OnFacePlacementMethod

CurvesOnFaces

OrientationMethod

Natural

PlanarFrame.AnchorLocation

BottomCenter

PlanarFrame.Height.Value

10 (millimeters part), 1 (inches part)

PlanarFrame.Shear.Value

0

PlanarFrame.WScale

100


Created in NX7.5.1.

Member Enumeration Documentation

Font style options.

Enumerator
FontStyleOptionsRegular 

Regular style.

FontStyleOptionsItalic 

Italic style.

FontStyleOptionsBold 

Bold style.

FontStyleOptionsBoldItalic 

Bold italic style.

The placement options for NXOpen::Features::TextBuilder::TypesOnFace type.

Enumerator
OnFacePlacementMethodOptionsCurvesOnFaces 

Placement on curves or edges on the faces.

OnFacePlacementMethodOptionsSectionPlane 

Placement on intersection curve created by a plane and the faces.

The orientation options for NXOpen::Features::TextBuilder::TypesOnCurve type.

Enumerator
OrientationMethodOptionsNatural 

Orientation along natural curve normals.

OrientationMethodOptionsVector 

Orientation along a vector.

Script or character set options.

Enumerator
ScriptOptionsOther 

Specifies a default character set based on current system locale.

ScriptOptionsWestern 

Specifies the English character set.

ScriptOptionsBaltic 

Specifies the Baltic (Northeastern European) character set.

ScriptOptionsChineseBig5 

Specifies the "traditional" Chinese character set.

ScriptOptionsCentralEuropean 

Specifies a Eastern European character set.

ScriptOptionsGb2312 

Specifies the "simplified" Chinese character set.

ScriptOptionsGreek 

Specifies the Greek character set.

ScriptOptionsHangul 

Specifies the Hangul Korean character set.

ScriptOptionsMac 

Specifies the Apple Macintosh character set.

ScriptOptionsOem 

Specifies a mapping to one of the OEM code pages, according to the current system locale setting.

ScriptOptionsCyrillic 

Specifies the Russian Cyrillic character set.

ScriptOptionsShiftJIS 

Specifies the Japanese character set.

ScriptOptionsSymbol 

Specifies a character set of symbols.

ScriptOptionsTurkish 

Specifies the Turkish character set.

ScriptOptionsVietnamese 

Specifies the Vietnamese character set.

ScriptOptionsJohab 

Specifies the Johab Korean character set.

ScriptOptionsArabic 

Specifies the Arabic character set.

ScriptOptionsHebrew 

Specifies the Hebrew character set.

ScriptOptionsThai 

Specifies the Thai character set.

Text placement type.

Enumerator
TypesPlanar 

Placement on a plane.

TypesOnCurve 

Placement on a profile.

TypesOnFace 

Placement on faces.

Member Function Documentation

bool NXOpen::Features::TextBuilder::CanCreateBoundingBox ( )

Returns the flag indicating if bounding box can be created
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::CanJoinCurves ( )

Returns the flag indicating if curves can be joined
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::CanProjectCurves ( )

Returns the flag indicating if curves can be projected
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::CanReferenceText ( )

Returns the flag indicating if text feature can reference a string expression
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::CanReverseIntersectionCurve ( )

Returns the flag indicating if intersection curve can be reversed
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::CanUseKerningSpaces ( )

Returns the flag indicating if kerning spaces can be used
Created in NX7.5.1.



License requirements : None

NXString NXOpen::Features::TextBuilder::Font ( )

Returns the font
Created in NX7.5.1.



License requirements : None

NXOpen::Features::TextBuilder::FontStyleOptions NXOpen::Features::TextBuilder::FontStyle ( )

Returns the font style
Created in NX7.5.1.



License requirements : None

NXOpen::GeometricUtilities::FrameOnPathBuilder* NXOpen::Features::TextBuilder::FrameOnPath ( )

Returns the frame on path
Created in NX7.5.1.



License requirements : None

bool NXOpen::Features::TextBuilder::IsAssociative ( )

Returns the flag indicating if operation is associative
Created in NX7.5.1.



License requirements : None

NXOpen::Section* NXOpen::Features::TextBuilder::OnCurvePlacementProfile ( )

Returns the placement profile for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.



License requirements : None

NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions NXOpen::Features::TextBuilder::OnFacePlacementMethod ( )

Returns the placement method for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : None

NXOpen::Section* NXOpen::Features::TextBuilder::OnFacePlacementProfile ( )

Returns the placement profile for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : None

NXOpen::Features::TextBuilder::OrientationMethodOptions NXOpen::Features::TextBuilder::OrientationMethod ( )

Returns the orientation method for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.



License requirements : None

NXOpen::Direction* NXOpen::Features::TextBuilder::OrientationVector ( )

Returns the orientation vector
Created in NX7.5.1.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::TextBuilder::PlacementFaces ( )

Returns the placement faces for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : None

NXOpen::GeometricUtilities::RectangularFrameBuilder* NXOpen::Features::TextBuilder::PlanarFrame ( )

Returns the planar frame
Created in NX7.5.1.



License requirements : None

NXOpen::Features::TextBuilder::ScriptOptions NXOpen::Features::TextBuilder::Script ( )

Returns the script
Created in NX7.5.1.



License requirements : None

NXOpen::Plane* NXOpen::Features::TextBuilder::SectionPlane ( )

Returns the section plane for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : None

void NXOpen::Features::TextBuilder::SelectFont ( const NXString fontName,
NXOpen::Features::TextBuilder::ScriptOptions  script 
)

Selects the font along with appropriate character set
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
fontNameFont
scriptCharacter set
void NXOpen::Features::TextBuilder::SelectFont ( const char *  fontName,
NXOpen::Features::TextBuilder::ScriptOptions  script 
)

Selects the font along with appropriate character set
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
fontNameFont
scriptCharacter set
void NXOpen::Features::TextBuilder::SetAssociative ( bool  isAssociative)

Sets the flag indicating if operation is associative
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isAssociativeisassociative
void NXOpen::Features::TextBuilder::SetCanCreateBoundingBox ( bool  canCreateBoundingBox)

Sets the flag indicating if bounding box can be created
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canCreateBoundingBoxcancreateboundingbox
void NXOpen::Features::TextBuilder::SetCanJoinCurves ( bool  canJoinCurves)

Sets the flag indicating if curves can be joined
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canJoinCurvescanjoincurves
void NXOpen::Features::TextBuilder::SetCanProjectCurves ( bool  canProjectCurves)

Sets the flag indicating if curves can be projected
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canProjectCurvescanprojectcurves
void NXOpen::Features::TextBuilder::SetCanReferenceText ( bool  canReferenceText)

Sets the flag indicating if text feature can reference a string expression
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canReferenceTextcanreferencetext
void NXOpen::Features::TextBuilder::SetCanReverseIntersectionCurve ( bool  canReverse)

Sets the flag indicating if intersection curve can be reversed
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canReversecanreverse
void NXOpen::Features::TextBuilder::SetCanUseKerningSpaces ( bool  canUseKerningSpaces)

Sets the flag indicating if kerning spaces can be used
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
canUseKerningSpacescanusekerningspaces
void NXOpen::Features::TextBuilder::SetFontStyle ( NXOpen::Features::TextBuilder::FontStyleOptions  fontStyle)

Sets the font style
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
fontStylefontstyle
void NXOpen::Features::TextBuilder::SetOnFacePlacementMethod ( NXOpen::Features::TextBuilder::OnFacePlacementMethodOptions  placementMethod)

Sets the placement method for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
placementMethodplacementmethod
void NXOpen::Features::TextBuilder::SetOrientationMethod ( NXOpen::Features::TextBuilder::OrientationMethodOptions  orientationMethod)

Sets the orientation method for NXOpen::Features::TextBuilder::TypesOnCurve type
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
orientationMethodorientationmethod
void NXOpen::Features::TextBuilder::SetOrientationVector ( NXOpen::Direction orientationVector)

Sets the orientation vector
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
orientationVectororientationvector
void NXOpen::Features::TextBuilder::SetScript ( NXOpen::Features::TextBuilder::ScriptOptions  script)

Sets the script
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
scriptscript
void NXOpen::Features::TextBuilder::SetSectionPlane ( NXOpen::Plane sectionPlane)

Sets the section plane for NXOpen::Features::TextBuilder::TypesOnFace type
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sectionPlanesectionplane
void NXOpen::Features::TextBuilder::SetTextString ( const NXString textString)

Sets the string to be rendered
Created in NX7.5.3.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
textStringText to be rendered
void NXOpen::Features::TextBuilder::SetTextString ( const char *  textString)

Sets the string to be rendered
Created in NX7.5.3.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
textStringText to be rendered
void NXOpen::Features::TextBuilder::SetType ( NXOpen::Features::TextBuilder::Types  type)

Sets the type
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
typetype
NXOpen::Expression* NXOpen::Features::TextBuilder::Text ( )

Returns the string expression representing the text
Created in NX7.5.1.



License requirements : None

NXString NXOpen::Features::TextBuilder::TextString ( )

Returns the string to be rendered
Created in NX7.5.3.



License requirements : None

NXOpen::Features::TextBuilder::Types NXOpen::Features::TextBuilder::Type ( )

Returns the type
Created in NX7.5.1.



License requirements : None

void NXOpen::Features::TextBuilder::UpdateOnOrientationVectorReversal ( )

Updates the builder based on orientation vector sense
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::TextBuilder::UpdateOnSectionPlane ( )

Updates the builder based on section plane
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.